Subject: Re: repmgr 5.4.1 dependend package on RHEL9

From: Ron Johnson <[email-masked]>
Date: Mon, 14 Oct 2024 03:09:13 -0400

On Mon, Oct 14, 2024 at 2:06 AM Mukesh Tanuku <[email-masked]>
wrote:

> Hello everyone,
>
> Question: We are installing *repmgr 5.4.1* along with postgres 15.6 on
> RHEL 9 and facing an issue with the dependent development package json-c
> *-devel-0.14-11.el9.x86_64**.  *This package is not available on
> RHEL repository so we have to enable EPEL repo (EPEL repository is a
> community supported repository hosted by the Fedora Community) to
> download the development tool on the RHEL9. There are some additional risks
> going with this process. So what is the risk free way to use repmgr in RHEL9
>

I had a similar problem.  Manually downloading the package from
https://pkgs.org/download/epel-release solved the problem.

-- 
Death to <Redacted>, and butter sauce.
Don't boil me, I'm still alive.
<Redacted> crustacean!

---

From: Adrian Klaver <[email-masked]>
Date: Mon, 14 Oct 2024 08:46:24 -0700

On 10/14/24 00:09, Ron Johnson wrote:
> On Mon, Oct 14, 2024 at 2:06 AM Mukesh Tanuku <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     Hello everyone,
> 
>     Question: We are installing *repmgr 5.4.1* along with postgres 15.6
>     on RHEL 9 and facing an issue with the dependent development package
>     json-c*-devel-0.14-11.el9.x86_64**. *This package is not available
>     on RHEL repository so we have to enable EPEL repo (EPEL
>     repository is a community supported repository hosted by the
>     Fedora Community) to download the development tool on the RHEL9.
>     There are some additional risks going with this process. So what is
>     the risk free way to use repmgr in RHEL9

There is none, everything comes with risk of some sort or another. What 
you need to determine is what level of risk you are comfortable with and 
whether the EPEL repo pushes you over that level.

> https://pkgs.org/download/epel-release 
> <https://pkgs.org/download/epel-release> solved the problem.
> 
> -- 

-- 
Adrian Klaver
[email-masked]